import { select, 
        json, 
        tree, 
        hierarchy, 
        linkHorizontal 
} from 'd3';

const svg = select('svg');

const width = document.body.clientWidth;
const height = document.body.clientHeight;
const treeLayout = tree().size([height, width]);

svg
		.attr('width', width)
    .attr('height', height)

json('data.json')
	.then(data => {
  	const root = hierarchy(data);
  	const links = treeLayout(root).links();
  	const linkPathGenerator = linkHorizontal()
  		.x(d => d.y)
  		.y(d => d.x);
  
  	svg.selectAll('path').data(links)
  		.enter().append('path')
  			.attr('d', linkPathGenerator);
  
  	svg.selectAll('text').data(root.descendants())
  		.enter().append('text')
  			.attr('x', d => d.y)
        .attr('y', d => d.x)
  			.attr('dy', '0.32em')
  			.text(d => d.data.data.id);
});









